MEMTIER_BENCHMARK(1)

NAME
memtier_benchmark - NoSQL benchmark tool

SYNOPSIS
memtier_benchmark [options]

DESCRIPTION
A memcache/redis NoSQL traffic generator and performance benchmarking tool.

  Connection and General Options:

-s, --server=ADDR
    Server address (default: localhost)

-p, --port=PORT
    Server port (default: 6379)

-S, --unix-socket=SOCKET
    UNIX Domain socket name (default: none)

-P, --protocol=PROTOCOL
    Protocol to use (default: redis). Other supported protocols are memcache_text, memcache_binary.

-x, --run-count=NUMBER
    Number of full-test iterations to perform

-D, --debug
    Print debug output

--client-stats=FILE
    Produce per-client stats file

--out-file=FILE
    Name of output file (default: stdout)

--show-config
    Print detailed configuration before running

--hide-histogram
    Don't print detailed latency histogram

  Test Options:

-n, --requests=NUMBER
    Number of total requests per client (default: 10000)

-c, --clients=NUMBER
    Number of clients per thread (default: 50)

-t, --threads=NUMBER
    Number of threads (default: 4)

--test-time=SECS
    Number of seconds to run the test

--ratio=RATIO
    Set:Get ratio (default: 1:10)

--pipeline=NUMBER
    Number of concurrent pipelined requests (default: 1)

--reconnect-interval=NUM
    Number of requests after which re-connection is performed

--multi-key-get=NUM
    Enable multi-key get commands, up to NUM keys (default: 0)

-a, --authenticate=CREDENTIALS Authenticate to redis using CREDENTIALS, which depending
    on the protocol can be PASSWORD or USER:PASSWORD.

--select-db=DB
    DB number to select, when testing a redis server

  Object Options:

-d  --data-size=SIZE
    Object data size (default: 32)

--data-offset=OFFSET
    Actual size of value will be data-size + data-offset Will use SETRANGE / GETRANGE (default: 0)

-R  --random-data
    Indicate that data should be randomized

--data-size-range=RANGE
    Use random-sized items in the specified range (min-max)

--data-size-list=LIST
    Use sizes from weight list (size1:weight1,..sizeN:weightN)

--data-size-pattern=R|S
    Use together with data-size-range when set to R, a random size from the defined data sizes will be used, when set to S, the defined data sizes will be evenly distributed across the key range, see --key-maximum (default R)

--expiry-range=RANGE
    Use random expiry values from the specified range

  Imported Data Options:

--data-import=FILE
    Read object data from file

--data-verify
    Enable data verification when test is complete

--verify-only
    Only perform --data-verify, without any other test

--generate-keys
    Generate keys for imported objects

--no-expiry
    Ignore expiry information in imported data

  Key Options:

--key-prefix=PREFIX
    Prefix for keys (default: "memtier-")

--key-minimum=NUMBER
    Key ID minimum value (default: 0)

--key-maximum=NUMBER
    Key ID maximum value (default: 10000000)

--key-pattern=PATTERN
    Set:Get pattern (default: R:R) G for Gaussian distribution, R for uniform Random, S for Sequential

--key-stddev
    The standard deviation used in the Gaussian distribution (default is key range / 6)

--key-median
    The median point used in the Gaussian distribution (default is the center of the key range)

--help
    Display this help

--version
    Display version information

COPYRIGHT
Copyright © 2011-2013 Garantia Data Ltd.
This is free software. You may redistribute copies of it under the terms of the GNU General Public License <http://www.gnu.org/licenses/gpl.html>. There is NO WARRANTY, to the extent permitted by law.